;;;; cl-scopes/test/test-forge

;;;; testing facility for scopes/forge

(defpackage :scopes/test-sf
  (:use :common-lisp)
  (:local-nicknames (:forge :scopes/forge/sf) 
                    (:util :scopes/util)
                    (:t :scopes/testing))
  (:export #:run)
  (:import-from :scopes/testing #:deftest #:==))

(in-package :scopes/test-sf)

(defun run ()
  (let ((t:*test-suite* (t:test-suite "forge/sf")))
        ;(forge:*forge-env* (forge:forge-env)))
    ;(setf forge:*forge-env* (forge:forge-env))
    ;(forge:setup-builtins)
    (test-exec)))
 
(deftest test-exec ()
  (util:lgi 42)
  (== (+ 2 1) 3)
  (forge:pushd 4)
  (forge:pushd 2)
  (forge:add)
  (== (forge:popd) 6)
  (forge:proc-list '(4 2 forge:add))
  (== (forge:popd) 6)
  ;(forge:exec-str "4 2 +")
  ;(== (car (forge:dstack)) 6))
  (t:show-result))


